import { UiComponentConfig } from "../../generated/UiComponentConfig";
import { UiSplitPane } from "../UiSplitPane";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiSplitDirection } from "../../generated/UiSplitDirection";
import { UiSplitSizePolicy } from "../../generated/UiSplitSizePolicy";
import { ItemTreeItem } from "./ItemTree";
import { UiComponent } from "../UiComponent";
export declare class SplitPaneItem implements ItemTreeItem<UiSplitPane> {
    id: string;
    parent: SplitPaneItem;
    component: UiSplitPane;
    private _firstChild;
    private _lastChild;
    constructor(id: string, parent: SplitPaneItem, splitDirection: UiSplitDirection, sizePolicy: UiSplitSizePolicy, firstChildRelativeSize: number, context: TeamAppsUiContext);
    get itemIds(): string[];
    get viewNames(): string[];
    set firstChild(firstChild: ItemTreeItem<UiComponent<UiComponentConfig>>);
    set lastChild(lastChild: ItemTreeItem<UiComponent<UiComponentConfig>>);
    get firstChild(): ItemTreeItem<UiComponent<UiComponentConfig>>;
    get lastChild(): ItemTreeItem<UiComponent<UiComponentConfig>>;
    get splitDirection(): UiSplitDirection;
    get sizePolicy(): UiSplitSizePolicy;
    get referenceChildSize(): number;
}
